<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_ACTIVITIES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVITIES}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(activities)}">
      <table class="ui table" id="subareas" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th class="two wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NUMBER}}"></th>
            <th class="eight wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th class="two wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TECHNICAL_ASSISTANCE}}"></th>
            <th class="four wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROJECT_PHASE}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="activity : ${activities}">
            <td>
            	<a sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_ACTIVITIES_UPDATE)" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_ACTIVITIES_UPDATE} + '/' + ${activity.id}}" th:text="${activity.number}"></a>
            	<span sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_ACTIVITIES_UPDATE)" th:text="${activity.number}"></span>
           	</td>
            <td th:text="${activity.name}"></td>
            <td class="center aligned"><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${activity.projectPhase.technicalAssistance}"></i><i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_UNCHECKED}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not activity.projectPhase.technicalAssistance}"></i></td>
            <td th:text="${activity.projectPhase.name}"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_ACTIVITIES_CREATE)"
    		th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                               icon1text = null,
                                                               icon1url = null,
                                                               icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                               icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                               icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_ACTIVITIES_CREATE},
                                                               )" />
  </div>
</body>
</html>
